﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using Xamarin.Forms;

namespace GettingStartedButton
{
    public class ViewModel : INotifyPropertyChanged
    {

        private List<string> segmentList;
        public List<string> SegmentedList
        {
            get
            {
                return segmentList;
            }
            set
            {
                segmentList = value;
            }
        }
        private Color _segmentControlColor;

        public Color SegmentControlColor
        {
            get { return _segmentControlColor; }
            set { _segmentControlColor = value; OnPropertyChanged("SegmentControlColor"); }
        }

        private Color _segmentIndicatorColor;

        public Color SegmentIndicatorColor
        {
            get { return _segmentIndicatorColor; }
            set { _segmentIndicatorColor = value; OnPropertyChanged("SegmentIndicatorColor"); }
        }

       
    
        public ViewModel()
        {
            segmentList = new List<string>();
            segmentList.Add("First");
            segmentList.Add("Second");
        }


        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string property)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(property));
            }
        }
    }
}
